Package weka.associations.tertius

# Class IndividualInstance

java.lang.Object
weka.core.Instance
weka.associations.tertius.IndividualInstance

All Implemented Interfaces:
  `Serializable`, `Copyable`, `RevisionHandler`

public class IndividualInstance extends Instance

Version:
  $Revision: 1.5 $
Author:
  Peter A. Flach, Nicolas Lachiche
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IndividualInstance(IndividualInstance instance)`
`IndividualInstance(Instance individual, Instances parts)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`copy()`
Produces a shallow copy of this instance.
`Instances`
`getParts()`
`String`
`getRevision()`
Returns the revision string.

### Methods inherited from class weka.core.Instance

`attribute, attributeSparse, classAttribute, classIndex, classIsMissing, classValue, dataset, deleteAttributeAt, enumerateAttributes, equalHeaders, hasMissingValue, index, insertAttributeAt, isMissing, isMissing, isMissingSparse, isMissingValue, main, mergeInstance, missingValue, numAttributes, numClasses, numValues, relationalValue, relationalValue, replaceMissingValues, setClassMissing, setClassValue, setClassValue, setDataset, setMissing, setMissing, setValue, setValue, setValue, setValue, setValueSparse, setWeight, stringValue, stringValue, toDoubleArray, toString, toString, toString, value, value, valueSparse, weight`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IndividualInstance

public IndividualInstance(Instance individual, Instances parts)

### IndividualInstance

public IndividualInstance(IndividualInstance instance)

## Method Details

### copy

public Object copy()
Description copied from class: `Instance`
Produces a shallow copy of this instance. The copy has access to the same dataset. (if you want to make a copy that doesn't have access to the dataset, use `new Instance(instance)`

Specified by:
  `copy` in interface `Copyable`
Overrides:
  `copy` in class `Instance`
Returns:
  the shallow copy

### getParts

public Instances getParts()

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `Instance`
Returns:
  the revision